Subject: Re: bug#56896: 29.0.50; [PATCH] Make the bookmark fringe icon look like a bookmark

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Aug 2022 22:18:24 +0300

> From: Jim Porter <[email-masked]>
> Date: Tue, 2 Aug 2022 12:13:44 -0700
> 
> Currently, the bookmark fringe icon is a circle. However, Emacs already 
> uses a circle to represent breakpoints (as do a lot of other IDEs). 
> These are usually a different color, but I think it would be nice if the 
> bookmark fringe icon were a different shape too. This would help 
> colorblind users, since (depending on their Emacs theme and what kind of 
> colorblindness they have), it might be hard to distinguish the bookmark 
> icon from the breakpoint icon.
> 
> It would help make the purpose of the indicator more obvious to users 
> who don't directly use bookmarks. Some packages (including the built-in 
> org-capture package) set bookmarks automatically, and a user might not 
> realize that the dot indicates a bookmark, as opposed to some other thing.
> 
> Attached are some screenshots showing before/after, plus a patch for 
> this. I converted the string definition of the bitmap to a vector of 
> (binary) numbers, since then a reader can see the shape of the icon if 
> they look carefully.

Why not make the icon customizable, and offer several possible bitmaps
to chose from?  Hardcoding a single icon will always annoy someone.

Thanks.